Subject: Re: [PATCH 1/2] ACPI Video: Ignore devices that aren't present in hardware

From: Matthew Garrett <[email-masked]>
Date: Fri, 4 Jul 2008 11:18:06 +0100

On Fri, Jul 04, 2008 at 12:08:02PM +0200, Thomas Renninger wrote:

> Hmm, there might be IGD devices that could just work with the default 
> backlight functions...
> Your hint in the other mail to check for tche flag is  a good one..

There are IGD devices that just work with the default functions. I'm 
using one.

> As soon as your parts are finished we can easily remove the
> ACPI_VIDEO_IGD
> and add these graphics devices to the one which should be served by your 
> modifications.

As I said, your patches (in their current form) *will* break systems 
that currently work, and a quick check seems to indicate that that 
includes my machine. 

> Please explain me again why this should not go in before/with your patches.
> If we agree that this one (or a similar solution) makes sense I am going to 
> post a 2nd version soon and then I can help a bit with the 750 ms issue...

The first patch should go in with the opregion code. The second patch 
should go in without the IGD code. Can we please just fix this the right 
way?
-- 
Matthew Garrett | [email-masked]